import { GTFSOutput } from "./GTFSOutput";
import { CalendarFactory } from "./calendar/CalendarFactory";
import { CheapRuler } from "cheap-ruler";
import { RouteTypeIndex } from "./merger/RouteMerger";
export declare class GTFSOutputFactory {
    private readonly calendarFactory;
    private readonly tempFolder;
    private readonly ruler;
    private readonly transferDistance;
    private readonly removeRouteTypes;
    constructor(calendarFactory: CalendarFactory, tempFolder: string, ruler: CheapRuler, transferDistance: number, removeRouteTypes: RouteTypeIndex);
    create(): GTFSOutput;
}
